# amos-iot-access

物联接入

## 其它系统引入方式

### 采用 git 方式引用

package.json

```json
  "devDependencies": {
    "amos-iot-access": "git+http://gaodongdong:a123456789@172.16.10.76/iot/YeeAMOSIotView.git#v1.0.0",
  }
```

### 采用 npm 私服 方式引用

package.json

```json
  "devDependencies": {
    "amos-iot-access": "^1.0.0",
  }
```

```js
// 采用 npm 包模块的方式引入
import iotPluginsRoutes, { initPluginsConfig as iotInitPluginsConfig } from 'amos-iot-access';
// 采用 mf 的方式引入
// import { plugins as iotPluginsRoutes, initPluginsConfig as iotInitPluginsConfig } from 'amosiot/access';

const plugin = {
  ...
  ...iotPluginsRoutes,
  ...
};

iotInitPluginsConfig({
  staticHeader: {
    appKey: 'AMOS_STUDIO',
    product: 'AMOS_STUDIO_WEB'
  }
});

```

> 注意，采用 mf 的方式引入 idx 模块时，需要在 mf remotes 中配置如下信息

- `.mfrc.js` 配置文件

```js
module.exports = {
  list: [
    ...
    { pkg: 'amos-iot-access', mf: 'amosiot_dist' },
    ...
  ],
  ...
  remotes: {
    ...
    amosiot: "amosiot@[window.__mf_prefix_url__]/amosiot_dist/remoteEntry.js",
    ...
  }
  ...
};
```

### changelog

- v1.0.4(20220208) modify amos-viz umd supported
- v1.1.0(20220208) add mf supported
